package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesMediaFileCfg;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @Description : 媒体文件维护信息
 * @Reference :
 * @Author : wangjie
 * @CreateDate 2024/6/13 15:18
 * @Modify:
 **/
public interface IMesMediaFileCfgService {

    @ApiOperation(value = "根据ID查询资源文件信息")
    MesMediaFileCfg getMediaFileCfg(String organizeCode, Long id);

    @ApiOperation(value = "根据ID查询资源文件信息")
    MesMediaFileCfg getMediaFileCfg(String organizeCode, String idStr);

    @ApiOperation(value = "根据ID查询资源文件信息")
    String getMediaFileUrl(String organizeCode, Long id);

    @ApiOperation(value = "根据ID查询资源文件信息")
    String getMediaFileUrl(String organizeCode, String idStr);

    @ApiOperation(value = "根据ID集合查询资源文件信息")
    List<MesMediaFileCfg> getMediaFileCfgList(String organizeCode, List<Long> idList);

    @ApiOperation(value = "根据ID集合查询资源文件信息")
    Map<Long, String> getMediaFileCfgMap(String organizeCode, List<Long> idList);

}
